<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado                = $_SESSION['idUsuarioLogado'];
$dataHoraRegistro             = date("Y-m-d H:i");

$idCotaUnidade                = $_POST['idCotaUnidade'];
$idUnidadeSolicitante         = $_POST['idUnidadeSolicitante'];
$idUnidadeExecutante          = $_POST['idUnidadeExecutante'];
$procedimentoSelecionado      = $_POST['procedimentoSelecionado'];
$idProcedimentoGrupo          = $_POST['idProcedimentoGrupo'];
$tetoDisponivel               = str_replace(".", "", $_POST['tetoDisponivel']);
$tetoDisponivelUnidade        = str_replace(",", ".", $tetoDisponivel);
$percentualCota               = str_replace(",", ".", $_POST['percentualCota']);
$quantidadeCota               = str_replace(".", "", $_POST['quantidadeCota']);
$quantidadeValorCota          = str_replace(",", ".", $quantidadeCota);
$tipoAnaliseCota              = $_POST['tipoAnaliseCota'];
$tipoApuracao                 = $_POST['tipoApuracao'];
$whereProcedimentoGrupo       = $_POST['itemPtocedimentoSelecionado'] == "GRUPO" ? "id_grupo_procedimento" : "id_procedimento";
$fieldGrupoOuProcedimento     = $_POST['itemPtocedimentoSelecionado'] == "GRUPO" ? "id_grupo_procedimento" : "id_procedimento";

if ($idCotaUnidade == "") {
  $sqlJaExiste = "SELECT id_registrocota FROM reg_tb_cotas
  WHERE (estabelecimento_solicitante='$idUnidadeSolicitante')
  AND (estabelecimento_executante='$idUnidadeExecutante')
  AND ($whereProcedimentoGrupo='$idProcedimentoGrupo')";
  $stmJaExiste = $rsConexao->prepare($sqlJaExiste);
  $stmJaExiste->execute();

  if ($stmJaExiste->rowCount() > 0) {
    echo "JáExiste";
    exit;
  }

  $sqlGravarCota  = "INSERT INTO reg_tb_cotas(
    estabelecimento_solicitante,
    $fieldGrupoOuProcedimento,
    estabelecimento_executante,
    cota_percentual,
    cota_quantidade,
    cota_tipoanalise,
    id_usuario_cadastrou,
    datahora_cadastrocota
  )VALUES(
    :setCodigoEstabelecimentoSolicitante,
    :setProcedimentoGrupo,
    :setCodigoEstabelecimentoExecutante,
    :setPercentualCota,
    :setValorQuantidadeCota,
    :setTipoAnaliseCota,
    '$usuarioLogado',
    '$dataHoraRegistro'
    )";
} else {
  $sqlGravarCota = "UPDATE reg_tb_cotas SET
  estabelecimento_solicitante=:setCodigoEstabelecimentoSolicitante,
  $fieldGrupoOuProcedimento=:setProcedimentoGrupo,
  estabelecimento_executante=:setCodigoEstabelecimentoExecutante,
  cota_percentual=:setPercentualCota,
  cota_quantidade=:setValorQuantidadeCota,
  cota_tipoanalise=:setTipoAnaliseCota,
  id_usuario_alterou='$usuarioLogado',
  data_ultimaalteracao='$dataHoraRegistro'
  WHERE (id_registrocota='$idCotaUnidade')";
}


$stmSalvarCota = $rsConexao->prepare($sqlGravarCota);
$stmSalvarCota->bindParam(':setCodigoEstabelecimentoSolicitante', $idUnidadeSolicitante, PDO::PARAM_STR);
$stmSalvarCota->bindParam(':setProcedimentoGrupo', $idProcedimentoGrupo, PDO::PARAM_STR);
$stmSalvarCota->bindParam(':setCodigoEstabelecimentoExecutante', $idUnidadeExecutante, PDO::PARAM_STR);
$stmSalvarCota->bindParam(':setPercentualCota', $percentualCota, PDO::PARAM_STR);
$stmSalvarCota->bindParam(':setValorQuantidadeCota', $quantidadeCota, PDO::PARAM_STR);
$stmSalvarCota->bindParam(':setTipoAnaliseCota', $tipoAnaliseCota, PDO::PARAM_STR);
$stmSalvarCota->execute();

//******* carregar lista atualizada */  
$sqlCotaCadastrada = "SELECT reg_tb_cotas.id_registrocota,
    reg_tb_procedimento.nome_procedimento,
    reg_tb_procedimento_grupo.nome_grupo_procedimento,
    ucase(tb_estabelecimento.nfantasia_estabelecimento) AS unidadeExecutante,
    format(reg_tb_cotas.cota_percentual, 1, 'de_DE') AS percentualCota,
    reg_tb_cotas.cota_quantidade,
    ucase(reg_tb_cotas.cota_tipoanalise) AS tipoAnalise
    FROM reg_tb_cotas
    INNER JOIN tb_estabelecimento ON (reg_tb_cotas.estabelecimento_executante = tb_estabelecimento.codigoestabelecimento_cnes)
    LEFT OUTER JOIN reg_tb_procedimento_grupo ON (reg_tb_cotas.id_grupo_procedimento = reg_tb_procedimento_grupo.id_grupo_procedimento)
    LEFT OUTER JOIN reg_tb_procedimento ON (reg_tb_cotas.id_procedimento = reg_tb_procedimento.id_procedimento)
    WHERE estabelecimento_solicitante='$idUnidadeSolicitante'";
  $stmCotaCadastrada  = $rsConexao->prepare($sqlCotaCadastrada);
  $stmCotaCadastrada->execute();
  if ($stmCotaCadastrada->rowCount() > 0) {
    $rsCotaCadastrada = $stmCotaCadastrada->fetchAll(PDO::FETCH_ASSOC);

    foreach ($rsCotaCadastrada as $fieldCota) {
      $idCota = $fieldCota['id_registrocota'];
      $grupoPorcedimento  = $fieldCota['nome_procedimento'] != "" ? $fieldCota['nome_procedimento'] : $fieldCota['nome_grupo_procedimento'];
      $unidadeExecutante  = $fieldCota['unidadeExecutante'];
      $percentualCota     = $fieldCota['percentualCota'];
      $quantidadeCota     = $fieldCota['cota_quantidade'];
      $tipoAnalise        = $fieldCota['tipoAnalise'];

      # -- editar cota --# 
      $linkEditarCota   = '"editarCota(' . "'$idCota')" . '"';
      # -- excluir cota --# 
      $linkExcluirCota  = '"excluirCota(' . "'$idCota','$idUnidadeSolicitante')" . '"';
      echo "<tr>
        <td align='center'>
          <i class='icofont icofont-edit nova_fonte' title='Editar registro de teto.'  onclick=$linkEditarCota></i>&nbsp;
          <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de cota.'  onclick=$linkExcluirCota></i>
        </td>
        <td>$grupoPorcedimento</td>
        <td>$unidadeExecutante</td>
        <td align='right'>$percentualCota</td>
        <td align='center'>$quantidadeCota</td>
        <td>$tipoAnalise</td>
      </tr>";
    }
  }

?>